/* SCCS  @(#)nsl_data_add_library.C	1.1---95/08/13--20:48:12 */
//
//	nsl_data_operator_add_library.C
//

# include "kallincl.h"

// nsl_data addition

nsl_data operator+(const nsl_data& a)
{
#ifdef NSL_DEBUG
	cout << "// nsl_data  operator+\n";
	cout << "// (data) "<< " = + (data) ";
	cout << a.get_name() << ";\n";
	cout.flush();
#endif

	nsl_data c;
	c = a.get_data();
	return c;
}
nsl_data operator+(const nsl_data& a,const nsl_data& b)
{
#ifdef NSL_DEBUG
	cout << "// nsl_data  operator+\n";
	cout << "// (data) " << a.get_name() << " + (data) ";
	cout << b.get_name() << ";\n";
	cout.flush();
#endif

	nsl_data c;
	c = a.get_data() + b.get_data();
	return c;
}
nsl_data operator+(const nsl_data& a,const num_type b)
{
#ifdef NSL_DEBUG
	cout << "// nsl_data  operator+\n";
	cout << "// (data) " << a.get_name() << " + (num_type) ";
	cout << b << ";\n";
	cout.flush();
#endif

	nsl_data c;
	c = a.get_data() + b;
	return c;
}
nsl_data operator+(const num_type a, const nsl_data& b)
{
#ifdef NSL_DEBUG
	cout << "// nsl_data  operator+\n";
	cout << "// (num_type) " << a << " + (data) ";
	cout << b.get_name() << ";\n";
	cout.flush();
#endif

	nsl_data c;
	c = a + b.get_data();
	return c;
}

