/* SCCS  @(#)nsl_vector_gauss_library.C	1.1---95/08/13--20:48:24 */
//
//	nsl_vector_gauss_library.C
//

# include "kallincl.h"

nsl_vector NSLgauss(const nsl_data& sig,const int xn)
{
	nsl_vector c(xn);
	float m = xn/2;

	for (int i=0; i < xn; i++)
	    c.elem(i) = (float) exp(-(i-m)*(i-m)/
			(2*sig.get_data()*sig.get_data()));

	return c;
}

