//
// 	line_object.h
//

// regular line
struct line_object : public display_graph
{
	float f0,f1;
	int dir_type; // 0 - slanted, 1 - horizontal, 2 - vertical
	int line_type; // 0 - solid, 1 - broken
public:
		line_object(display_window*,float,float);
		~line_object();

	// set
	void set_f0(float s) { f0 = s; }
	void set_f1(float s) { f1 = s; }
	void set_dir_type(int i) { dir_type = i; }
	void set_line_type(int i) { line_type = i; }
	// get
	float get_f0() { return f0; }
	float get_f1() { return f1; }
	int get_dir_type() { return dir_type; }
	int get_line_type() { return line_type; }

	virtual void	read_from_database();
	virtual void	write_to_database();
	virtual void	display();
	virtual void	print(ostream&);
};


