/****************************************************************/
/*                                                           	*/
/*                       nsl_main.C                          	*/
/*                                                            	*/
/****************************************************************/

# include "nsl_include.h"

#ifdef NSL_TCL 
	extern "C" int Tcl_Main(...); 
	extern "C" int Tcl_AppInit(...);
#endif	

#ifdef NSL_TK
	extern "C" int Tk_Main(...);
	extern "C" int Tcl_AppInit(...);
#endif

main(int argc, char **argv)
{
	NSLinit(argc,argv);

/* enter other code here */

#ifdef NSL_TCL
	Tcl_Main(argc,argv,Tcl_AppInit);
#elif NSL_TK
	Tk_Main(argc,argv,Tcl_AppInit);
#else
	NSLmain(argc,argv);
#endif

	exit(0);
}
