# NSL2.8: dev.nsl
# AW - 4/96

# create neural_network DEV       ;# model

nslset DEV delta 0.1            ;# simulation delta
nslset DEV end_time 10.0        ;# simulation end_time

nslset U diff_model leaky
nslset U diff_method euler
nslset U diff_delta 0.1  
nslset U thresh step 0.75 0 1   ;# nslset data_value k 0.75
nslset U tm 1.0                 ;# nslset data_value tm 1.0
nslset U h 0.7                  ;# (U <- - h) nslset data_value h 0.7
nslset U inp -0.5               ;# -0.5 initial membrane potential value

nslset V diff_model leaky
nslset V diff_method euler
nslset V diff_delta 0.1  
nslset V thresh ramp 0 0 0
nslset V tm 1.0                 ;# nslset data_value tm 1.0
nslset V h 0.7                  ;# (U <- - h) nslset data_value h 0.7

nslset w1 value 0.4 0.6 1.0 0.6 0.4

nslset S value                          \
-.5 -.5 -.5 -.5 -.5 -.5 -.5 -.5 	\
-.5 -.5 -.5 -.5 -.5 -.5 -.5 -.5 	\
-.5 -.5 -.5 -.5 1.5 -.5 -.5 -.5 	\
-.5 -.5 -.5 -.5 -.5 -.5 -.5 -.5 	\
-.5 -.5 1.5 -.5 1.5 -.5 -.5 -.5 	\
-.5 -.5 -.5 -.5 -.5 -.5 -.5 -.5		\
-.5 -.5 1.5 -.5 -.5 -.5 -.5 -.5 	\
-.5 -.5 -.5 -.5 -.5 -.5 -.5 -.5 	\
-.5 -.5 -.5 -.5 -.5 -.5 -.5 -.5		\
-.5 -.5 -.5 -.5 -.5 -.5 -.5 -.5

# assign display_frame rows 3
nslset display_frame X0 250
nslset display_frame Y0 100
nslset display_frame width 500
nslset display_frame height 100
nslcreate display_frame .dev

nslset display_window layer S
nslset display_window graph area_level_graph 
nslset display_window wymin -1
nslset display_window wymax 2
nslcreate display_window .dev.s

nslset display_window layer u
nslset display_window graph area_level_graph
nslset display_window wymin -3
nslset display_window wymax 3
nslcreate display_window .dev.u_mp

nslset display_window layer U
nslset display_window graph area_level_graph
nslset display_window wymin -3
nslset display_window wymax 3
nslcreate display_window .dev.u_out

