/* SCCS  @(#)nsl_include.h	1.1---95/08/13--23:46:24 */
/****************************************************************/
/*                                                           	*/
/*                       nsl_include.h                          */
/*                                                            	*/
/****************************************************************/

# include "nsl_all_kernel_include.h"
# include "nsl_all_neuron_include.h"

extern void NSLinit(int,char**);
extern void NSLmain(int,char**);


//AW98
//#ifdef NSL_INPUT_FG
	//# include "nsl_all_input_include.h"
//#endif

//#define INPUT_MAT(a,x,y)                \
//static nsl_input_matrix a##(#a,x,y,2)     \

//#define INPUT_VEC(a,x)          	\
//static nsl_input_vector a##(#a,x,2)       \

//#define INPUT_DAT(a)                    \
//static nsl_input_data a##(#a,2)           \
//AW98

#define MATRIX(a,x,y)                   \
static nsl_matrix a##(#a,x,y,2)           \

#define VECTOR(a,x)                     \
static nsl_vector a##(#a,x,NSL_ROW,2)     \

#define ROW_VEC(a,x)                      \
static nsl_vector a##(#a,x,NSL_ROW,2)   \

#define COL_VEC(a,x)                      \
static nsl_vector a##(#a,x,NSL_COL,2)   \

#define DATA(a)                         \
static nsl_data a##(#a,0,2)               \

#define NETWORK(a)                      \
nsl_model a##(#a,2);             \

# define MODULE(a)                      \
void a##_func();                             \
nsl_module a##(#a,a##_func,1);             \
void a##_func()                              \

# define INIT_MODULE(a)                 \
void a##_func();                             \
nsl_module a##(#a,a##_func,1,1);           \
void a##_func()                              \

# define RUN_MODULE(a)                  \
void a##_func();                             \
nsl_module a##(#a,a##_func,2,1);           \
void a##_func()                              \

# define FUNC_MODULE(a)                 \
void a##_func();                             \
nsl_module a##(#a,a##_func,-1,1);          \
void a##_func()                              \

# define SYS_MODULE(a)                  \
void a##_func();                             \
nsl_module a##(#a,a##_func,3,1);           \
void a##_func()                              \
/*
# undef DIFF
# define DIFF(a,b,c)			\
static nsl_diff a##_diff(c);		\
a##_diff.eq(a,b)			\
*/
# undef DIFF
# define DIFF(a,b)			\
static nsl_diff a##_diff(1);		\
a##_diff.eq(a,b)			\





