# NSL2.8: didday.tcl
# AW - 12/95

create neural_network DIDDAY 	;# model

assign DIDDAY delta 0.1 	;# simulation delta
assign DIDDAY end_time 20.0 	;# simulation end_time

create neuron_vector U 10
create neuron_data V
create num_vector S 10
create num_data w1
create num_data w2

connect U U w1 1	;# U <- + w1*U
connect U V w2 -1	;# U <- - w2*V
connect U S 1		;# U <- + S
connect V U 1		;# V <- + U

assign U diff_model leaky
assign U diff_method euler
assign U diff_delta 0.1 	
assign U thresh step 0.1 0 1	;# assign data_value k 0.1	
assign U tm 1.0			;# assign data_value tu 1.0
assign U h 0.1			;# (U <- - h) assign data_value h1 0.1

assign V diff_model leaky
assign V diff_method euler
assign V diff_delta 0.1 	
assign V thresh ramp 0 0 0
assign V tm 1.0			;# assign data_value tv 1.0
assign V h 0.5			;# (U <- - h) assign data_value h2 0.5

assign w1 value 1.0
assign w2 value 1.0
assign S value 			\
0 0 0 0 1.0 0 0.5 0 0 0 

create window_interface

# assign display_frame X0 250
# assign display_frame Y0 100
assign display_frame width 500
assign display_frame height 200
# assign display_frame rows 2
create display_frame .didday

assign display_window layer S
assign display_window graph area_level_graph
assign display_window wymin 0
assign display_window wymax 2
create display_window .didday.s

assign display_window layer U_mp
assign display_window graph temporal_graph
assign display_window wymin -3
assign display_window wymax 3
assign display_window wystep .75
assign display_window wxstep 10
assign display_window t1 20
create display_window .didday.u_mp

