/* SCCS  @(#)nsl_cmd_system.C	1.2---95/10/13--16:28:03 */
/**************************************************************/
/*                                                            */
/*                   nsl_cmd_system.C                         */
/*                                                            */
/**************************************************************/

# include "kallincl.h"

nsl_cmd_system::nsl_cmd_system() : nsl_cmd_type("system")
{
	init_cmd_system();
}

nsl_cmd_system::~nsl_cmd_system()
{
	init_cmd_system();
}

int nsl_cmd_system::init_cmd_system()
{
	return set_cmd_system();
}
int nsl_cmd_system::set_cmd_system()
{
	set_base_type("system");

	OBJ = SYSTEM;

	SYSTEM->set_cmd_system(this);

	m_parent = SYSTEM;
 
	return 1;
}

int nsl_cmd_system::cmd_create(nsl_interpreter& nsl)
{
	return 1;
}
int nsl_cmd_system::cmd_disable(nsl_interpreter& nsl)
{
	cmd_type_disable(nsl);

	return 1;
}
int nsl_cmd_system::cmd_enable(nsl_interpreter& nsl)
{
	cmd_type_enable(nsl);

	return 1;
}
int nsl_cmd_system::cmd_init(nsl_interpreter&)
{
	SYSTEM->init();

	return 1;
}
int nsl_cmd_system::cmd_print(nsl_interpreter& nsl)
{
	cmd_type_print(nsl);

	return 1;
}
int nsl_cmd_system::cmd_set(nsl_interpreter& nsl)
{
	 return cmd_type_set(nsl);
}
int nsl_cmd_system::cmd_status(nsl_interpreter& nsl)
{
	cmd_type_status(nsl);

	return 1;
}

// local print

int nsl_cmd_system::print_cmd_system(ostream& out) const
{
	print_cmd_type(out);
	i_children_list->print(out);
	return 1;
}
int nsl_cmd_system::print(ostream& out) const // virtual
{
	print_cmd_system(out);
	return 1;
}
