/* SCCS  @(#)nsl_data_layer.C	1.2---95/08/13--18:20:26 */
//
//	nsl_data_layer.C
//

# include "kallincl.h"

nsl_data_layer::nsl_data_layer(int rfg) : nsl_layer(rfg)
{
	init_data_layer();
}
nsl_data_layer::nsl_data_layer(const char* ltype,const char* lname,
	int fg,int rfg) : nsl_layer(ltype,lname,fg,rfg)
{
	init_data_layer();
}

// nsl_data_layer destructors

nsl_data_layer::~nsl_data_layer()
{
}

// init

int nsl_data_layer::init_data_layer()
{
	set_abstract_type("data");

	return 1;
}

// print 

int nsl_data_layer::print_data_layer_status(ostream& out) const
{
	print_layer_status(out);
	return 1;
}
int nsl_data_layer::print_status(ostream& out) const // virtual
{
	print_data_layer_status(out);
	return 1;
}
int nsl_data_layer::print_data_layer(ostream& out) const
{
	print_layer(out);
	return 1;
}
int nsl_data_layer::print(ostream& out) const // virtual
{
	print_data_layer(out);
	return 1;
}

int nsl_data_layer::reset_data_layer(nsl_buffer*)
{
	return 1;
}
int nsl_data_layer::reset(nsl_buffer* buf)
{
	reset_data_layer(buf);
	return 1;
}

int nsl_data_layer::write_data_layer(nsl_buffer& buf)
{
	write_layer(buf);
	return 1;
}
int nsl_data_layer::write(nsl_buffer& buf)
{
	write_data_layer(buf);
	return 1;
}
int nsl_data_layer::read_data_layer(nsl_buffer& buf)
{
	write_layer(buf);
	return 1;
}
int nsl_data_layer::read(nsl_buffer& buf)
{
	read_data_layer(buf);
	return 1;
}

