/* SCCS  @(#)nsl_diff_euler.C	1.1---95/10/13--16:37:19 */
//
// nsl_diff_euler.C
//

# include "kallincl.h"

nsl_diff_euler::nsl_diff_euler()
{
	init_diff_euler();
}
nsl_diff_euler::~nsl_diff_euler()
{
}
int nsl_diff_euler::init()
{
	if (tm == 0.0)
		cmd_error("nsl_diff_euler: Division by 0");
	else
		p = dt/tm;

	return 1;
}
int nsl_diff_euler::init_diff_euler()
{
	set_name("EULER");
	p = 0.0;
 
	return 1;
}

int nsl_diff_euler::exec(const num_type)
{
	cmd_error("nsl_diff_euler: virtual num_type exec");

	return 1;
}
int nsl_diff_euler::exec(const nsl_num_data&)
{
	cmd_error("nsl_diff_euler: virtual nsl_data exec");

	return 1;
}
int nsl_diff_euler::exec(const nsl_num_vector&)
{
	cmd_error("nsl_diff_euler: virtual nsl_vector exec");

	return 1;
}
int nsl_diff_euler::exec(const nsl_num_matrix&)
{
	cmd_error("nsl_diff_euler: virtual nsl_matrix exec");

	return 1;
}
