/* SCCS  @(#)nsl_diff_interpolation.C	1.1---95/10/13--16:37:21 */
//	
//  nsl_diff_interpolation.C
//

# include "kallincl.h"

nsl_diff_interpolation::nsl_diff_interpolation()
{
	init_diff_interpolation();
}
nsl_diff_interpolation::~nsl_diff_interpolation()
{
}
int nsl_diff_interpolation::init()
{
	if (tm == 0.0)
		cmd_error("nsl_diff_interpolation: Division by 0");
	else
 		p = exp((num_type)-dt/tm);
	
	return 1;
}
int nsl_diff_interpolation::init_diff_interpolation()
{
	set_name("INTERPOLATION");
	p = 0.0;

 	return 1;
}

int nsl_diff_interpolation::exec(const num_type)
{
 	cmd_error("nsl_diff_interpolation: virtual num_type exec");

	return 1;
}
int nsl_diff_interpolation::exec(const nsl_data&)
{
 	cmd_error("nsl_diff_interpolation: virtual nsl_data exec");

	return 1;
}
int nsl_diff_interpolation::exec(const nsl_vector&)
{
 	cmd_error("nsl_diff_interpolation: virtual nsl_vector exec");

	return 1;
}
int nsl_diff_interpolation::exec(const nsl_matrix&)
{
 	cmd_error("nsl_diff_interpolation: virtual nsl_matrix exec");

	return 1;
}
