/* SCCS  %W%---%E%--%U% */
//////////////////////////////////////////////////////////////////////////
//
// xnsl_xlib_widget.h:  Class that creates a xlib widget
//               
/////////////////////////////////////////////////////////////////////////
 
class xnsl_xlib_widget : public xnsl_lib_widget
{
   protected:
        Display  *_dpy;
        Window  _xwin;
        GC _gc;
	Screen *_sc;

   public:

	Display* get_display() { return _dpy; }
	Window get_window() { return _xwin; }
	GC get_GC() { return _gc; }
	Screen* get_screen() { return _sc; }

	void set_display(Display* d) { _dpy = d; }
	void set_window(Window w) { _xwin = w; }
	void set_GC(GC g) { _gc = g; }
	void set_screen(Screen* sc) { _sc = sc; }

      xnsl_xlib_widget();
      virtual  ~xnsl_xlib_widget();

      virtual int display();

      virtual int xflush();
      virtual int clear_area(int = 0,int = 0, int = 100, int = 100);
      virtual int fill_rectangle(int = 0,int = 0, int = 100, int = 100);
      virtual int draw_line(int = 0,int = 0, int = 100, int = 100,
		const char* = "");

      virtual xnsl_widget* make_widget();

      virtual xnsl_widget* create_widget(const char * = "",xnsl_widget* = 0,
		int=0,int=0,int=100,int=100,
		int=0,int=0,int=100,int=100,
		int = 10, int = 10,const char* = "",const char* = "");

      virtual void set_env(const char * = "",int=0,int=0,int=100,int=100,
		int=0,int=0,int=100,int=100,
		int = 10, int = 10,const char* = "",const char* = "");

	virtual int get_env(char*);
};
 
