//
// 	display_frame.h
//

class display_frame : public generic_window
{
	Frame parent_frame;		// sunview parent frame
	Frame frame;			// sunview frame
// init data
	gen_window_list* window_list;   // pointer to frame's window list
	int window_total;		// total number of windows

	int window_cols;		// total number of window cols
	int window_rows;		// total number of window rows
	int resize_fg;			// 1 - auto resize
	int init_fg;			// 1 - window can be auto resized
public:
		display_frame(display_frame*,char*);
		~display_frame();
// set functions
	void	set_frame(Frame fr) { frame = fr; }
	void	set_window_cols(int i) { window_cols = i; }
	void 	set_window_rows(int i) { window_rows = i; }
	void	set_resize_fg(int i) { resize_fg = i; }
	void	set_init_fg(int i) { init_fg = i; }
//	void 	set_window_total(int i) { window_total = i; }
// get functions
	Frame	get_frame() { return frame; }
	int 	get_window_cols() { return window_cols; }
	int 	get_window_rows() { return window_rows; }
	int	get_resize_fg() { return resize_fg; }
	int	get_init_fg() { return init_fg; }
	int 	get_window_total() { return window_total; }
	gen_window_list*	get_window_list() { return window_list; }
// add window
//	int 	add_window(generic_window*);
	int 	add_window(display_window*);
//	int 	add_window(display_frame*);
// get window
	display_window* get_display_window(char*);
	display_window* get_display_window(int);

	void	resize(int,int,int,int);	// resize frame only
	void	resize();			// auto window resize

	void	reset();	// reset frame window lists
	void	init();		// init 
	void	create(int,int,int,int);// 
	void	create();		// create sunview frame
	void	create(int,char**);
	void	display();
	void	update();	// update all windows
	void	update_from_panel(); // update all windows from panels
	void	clear();

	void	print_status(ostream&);
	void	print_all_window_status(ostream&);
	void	print_window_status(ostream&,int);
	void	print_window_status(ostream&,char*);
};

