//
// 	display_graph
//

// general drawing graphics object for display on a canvas

struct display_graph : public canvas_object
{
// general window sector parameters
	int wx,wy;		// used for text location
 	int wx0,wy0;		// window start point 
	int wx1,wy1;		// window end point 
	int wxs,wys;		// window layer element size
	float wxmin,wxmax;	// x min,max values
	float wymin,wymax;	// y min,max values
// layer 
        nsl_layer* layer_ptr;   // new layer value ptr
        nsl_layer* layer0_ptr;  // old layer value ptr
// time parameters
        float ts;               // time 
public:
		display_graph(display_window*,char*);
		~display_graph();

// set
	void	set_wx(int s) { wx = s; }
	void	set_wy(int s) { wy = s; }
	void	set_wx0(int s) { wx0 = s; }
	void	set_wy0(int s) { wy0 = s; }
	void	set_wx1(int s) { wx1 = s; }
	void	set_wy1(int s) { wy1 = s; }
	void	set_wxs(int s) { wxs = s; }
	void	set_wys(int s) { wys = s; }
	void	set_wxmin(float s) { wxmin = s; }
	void	set_wxmax(float s) { wxmax = s; }
	void	set_wymin(float s) { wymin = s; }
	void	set_wymax(float s) { wymax = s; }
// get
	int	get_wx() { return wx; }
	int	get_wy() { return wy; }
	int	get_wx0() { return wx0; }
	int	get_wy0() { return wy0; }
	int	get_wx1() { return wx1; }
	int	get_wy1() { return wy1; }
	int	get_wxs() { return wxs; }
	int	get_wys() { return wys; }
	float	get_wxmin() { return wxmin; }
	float	get_wxmax() { return wxmax; }
	float	get_wymin() { return wymin; }
	float	get_wymax() { return wymax; }
// database updates
	virtual void	read_from_database();
	virtual void	write_to_database();

	virtual	void	init() {}
	virtual void	update() {}
	virtual void	create() {}
	virtual void	display() {}
	virtual void	print(ostream&);

	virtual	void	input(int,int,int) {}
	virtual void	output(int,int) {}
};

