//
//	nsl.h
//

# include <stream.h>
# include <fstream.h>
# include <strstream.h>
# include <stdio.h>
# include <string.h> // include nesting w/ <string.h>
# include <stdlib.h>
# include <math.h>

# define NAME_SIZE 80
typedef char string[NAME_SIZE];

typedef float num_type;

# include "gen_list.h"
# include "gen_macro_list.h"

# define ON 1
# define OFF 0

// rounding
extern int rint(float);

// print errors
extern void cmd_error(char*);
extern void cmd_error(char*,char*);
extern void cmd_error(char*,int);
extern void cmd_error(char*,float);

extern void cmd_error_exit(char*);
extern void cmd_error_exit(char*,char*);
extern void cmd_error_exit(char*,int);
extern void cmd_error_exit(char*,float);

// output
extern void cmd_out(char*);
extern void cmd_out(char*,char*);
extern void cmd_out(char*,int);
extern void cmd_out(char*,float);

extern void cmd_out_onoff(char*,int);

// global variables

extern int DEBUG_FG; 	// 1 - verbose function processing
extern int VERBOSE_FG;	// 1 - verbose interpreter processing
extern fstream LOG_STREAM; // log file

