/****************************************************************/
/*                                                           	*/
/*                       my_nsl_library.h			*/
/*                                                            	*/
/* by Fernando Corbacho						*/
/*                                                            	*/
/****************************************************************/

// New convolution function: 
extern nsl_matrix newconv(nsl_matrix&, nsl_matrix&);
extern nsl_matrix conv25_1(nsl_matrix&, nsl_matrix&);

// diff_ae: is the Average Exact Integration Method following
//          Teeters.

// All except one are missing the fourth parameter -Prev.

extern num_type diff_ae(num_type,num_type,num_type);
extern nsl_data diff_ae(nsl_data&,nsl_data&,nsl_data&);
extern nsl_data diff_ae(nsl_data&,num_type,nsl_data&);
extern nsl_data diff_ae(nsl_data&,nsl_data&,num_type);
extern nsl_data diff_ae(nsl_data&,num_type,num_type);
extern nsl_vector diff_ae(nsl_vector&,nsl_vector&,nsl_data&);
extern nsl_vector diff_ae(nsl_vector&,nsl_vector&,num_type);
extern nsl_vector diff_ae(nsl_vector&,nsl_data&,nsl_data&);
extern nsl_vector diff_ae(nsl_vector&,nsl_data&,num_type);
extern nsl_vector diff_ae(nsl_vector&,num_type,nsl_data&);
extern nsl_vector diff_ae(nsl_vector&,num_type,num_type);

 extern nsl_matrix diff_ae(nsl_matrix&,nsl_matrix&, nsl_matrix&, nsl_data&);
// This is the only one really used.
// It is the only one that includes the parameter Prev.

extern nsl_matrix diff_ae(nsl_matrix&,nsl_matrix&,nsl_matrix&, num_type);
extern nsl_matrix diff_ae(nsl_matrix&,nsl_data&,nsl_data&);
extern nsl_matrix diff_ae(nsl_matrix&,nsl_data&,num_type);
extern nsl_matrix diff_ae(nsl_matrix&,num_type,nsl_data&);
extern nsl_matrix diff_ae(nsl_matrix&,num_type,num_type);
