# NSL2.8: didday.tcl
# AW - 12/95

set neural_network DIDDAY 	;# model

assign DIDDAY delta 0.1 	;# simulation delta
assign DIDDAY end_time 20.0 	;# simulation end_time

assign tu value 1.0		
assign tv value 1.0
assign k value 0.1
assign w1 value 1.0
assign w2 value 1.0		
assign h1 value 0.1		
assign h2 value 0.5		
assign S value 			\
0 0 0 0 1.0 0 0.5 0 0 0 

create window_interface

# assign display_frame X0 250
# assign display_frame Y0 100
assign display_frame width 500
assign display_frame height 200
# assign display_frame rows 2
create display_frame .didday

assign display_window layer S
assign display_window graph area_level_graph
assign display_window wymin 0
assign display_window wymax 2
create display_window .didday.s

assign display_window layer u
assign display_window graph temporal_graph
assign display_window wymin -3
assign display_window wymax 3
assign display_window t1 20
create display_window .didday.u

